{
  "components" : [ {
    "label" : "HIDDEN process_definition_key",
    "allowMultipleMasks" : false,
    "showWordCount" : false,
    "showCharCount" : false,
    "hidden" : true,
    "disabled" : true,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "textfield",
    "input" : true,
    "key" : "process_definition_key",
    "defaultValue" : "",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "tabs" : null,
    "properties" : { },
    "tags" : [ ],
    "inputFormat" : "plain",
    "encrypted" : false,
    "customConditional" : "",
    "logic" : [ ],
    "widget" : {
      "type" : ""
    },
    "reorder" : false
  }, {
    "label" : "tenant",
    "hideLabel" : true,
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "container",
    "input" : true,
    "key" : "tenant",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "Columns",
      "columns" : [ {
        "components" : [ {
          "label" : "Id",
          "description" : "Automatisch generiert",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "id",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "properties" : { },
          "inputFormat" : "plain",
          "encrypted" : false,
          "tags" : null,
          "customConditional" : "",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      }, {
        "components" : [ ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      } ],
      "mask" : false,
      "tableView" : false,
      "alwaysEnabled" : false,
      "type" : "columns",
      "input" : false,
      "key" : "columns4",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "reorder" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ]
    }, {
      "label" : "Columns",
      "columns" : [ {
        "components" : [ {
          "label" : "Mandantenschlüssel",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "key",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 10 Zeichen, alles kleingeschrieben",
            "json" : "",
            "required" : true,
            "minLength" : null,
            "maxLength" : null,
            "minWords" : null,
            "maxWords" : null,
            "pattern" : "^[a-z1-9]{4,10}$"
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "properties" : { },
          "inputFormat" : "plain",
          "encrypted" : false,
          "tags" : null,
          "customConditional" : "",
          "logic" : [ {
            "name" : "disable tenant-key",
            "trigger" : {
              "type" : "simple",
              "simple" : {
                "show" : true,
                "when" : "process_definition_key",
                "eq" : "tenant-change"
              }
            },
            "actions" : [ {
              "name" : "disable",
              "type" : "property",
              "property" : {
                "label" : "Disabled",
                "value" : "disabled",
                "type" : "boolean"
              },
              "state" : "true"
            } ]
          } ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      }, {
        "components" : [ {
          "label" : "Mandantenname",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "name",
          "properties" : { },
          "tags" : [ ],
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 20 Zeichen",
            "json" : "",
            "required" : true,
            "minLength" : null,
            "maxLength" : null,
            "minWords" : null,
            "maxWords" : null,
            "pattern" : "^[ a-zA-Z0-9-]{4,20}$"
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "inputFormat" : "plain",
          "encrypted" : false,
          "customConditional" : "",
          "logic" : [ {
            "name" : "disable tenant-key",
            "trigger" : {
              "type" : "simple",
              "simple" : {
                "show" : true,
                "when" : "process_definition_key",
                "eq" : "tenant-change"
              }
            },
            "actions" : [ {
              "name" : "disable",
              "type" : "property",
              "property" : {
                "label" : "Disabled",
                "value" : "disabled",
                "type" : "boolean"
              },
              "state" : "true"
            } ]
          } ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      } ],
      "mask" : false,
      "tableView" : false,
      "alwaysEnabled" : false,
      "type" : "columns",
      "input" : false,
      "key" : "columns3",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "reorder" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ]
    }, {
      "label" : "Columns",
      "columns" : [ {
        "components" : [ ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      }, {
        "components" : [ ],
        "width" : 6,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      } ],
      "mask" : false,
      "tableView" : false,
      "alwaysEnabled" : false,
      "type" : "columns",
      "input" : false,
      "key" : "columns2",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "reorder" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ]
    }, {
      "label" : "Admin",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "container",
      "input" : true,
      "key" : "admin",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "components" : [ {
        "label" : "HTML",
        "className" : "",
        "attrs" : [ {
          "attr" : "",
          "value" : ""
        } ],
        "content" : "<br/>\n<h4>Admin</h4>",
        "refreshOnChange" : false,
        "mask" : false,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "htmlelement",
        "input" : false,
        "key" : "html",
        "validate" : {
          "customMessage" : "",
          "json" : ""
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "encrypted" : false,
        "properties" : { },
        "tags" : null,
        "customConditional" : "",
        "logic" : [ ],
        "reorder" : false
      }, {
        "label" : "Columns",
        "columns" : [ {
          "components" : [ {
            "label" : "Email",
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "email",
            "input" : true,
            "key" : "email",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "",
              "json" : "",
              "required" : true
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "encrypted" : false,
            "properties" : { },
            "tags" : [ ],
            "customConditional" : "",
            "logic" : [ {
              "name" : "disable tenant-key",
              "trigger" : {
                "type" : "simple",
                "simple" : {
                  "show" : true,
                  "when" : "process_definition_key",
                  "eq" : "tenant-change"
                }
              },
              "actions" : [ {
                "name" : "disable",
                "type" : "property",
                "property" : {
                  "label" : "Disabled",
                  "value" : "disabled",
                  "type" : "boolean"
                },
                "state" : "true"
              } ]
            } ],
            "reorder" : false
          }, {
            "label" : "Vorname",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "first_name",
            "properties" : { },
            "tags" : [ ],
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 1 und höchstens 20 Zeichen",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[ a-zA-Z0-9-]{1,20}$"
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "inputFormat" : "plain",
            "encrypted" : false,
            "customConditional" : "",
            "logic" : [ {
              "name" : "disable tenant-key",
              "trigger" : {
                "type" : "simple",
                "simple" : {
                  "show" : true,
                  "when" : "process_definition_key",
                  "eq" : "tenant-change"
                }
              },
              "actions" : [ {
                "name" : "disable",
                "type" : "property",
                "property" : {
                  "label" : "Disabled",
                  "value" : "disabled",
                  "type" : "boolean"
                },
                "state" : "true"
              } ]
            } ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          }, {
            "label" : "Nachname",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "last_name",
            "properties" : { },
            "tags" : [ ],
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 1 und höchstens 20 Zeichen",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[ a-zA-Z0-9-]{1,20}$"
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "inputFormat" : "plain",
            "encrypted" : false,
            "customConditional" : "",
            "logic" : [ {
              "name" : "disable tenant-key",
              "trigger" : {
                "type" : "simple",
                "simple" : {
                  "show" : true,
                  "when" : "process_definition_key",
                  "eq" : "tenant-change"
                }
              },
              "actions" : [ {
                "name" : "disable",
                "type" : "property",
                "property" : {
                  "label" : "Disabled",
                  "value" : "disabled",
                  "type" : "boolean"
                },
                "state" : "true"
              } ]
            } ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "hideOnChildrenHidden" : false,
          "key" : "column",
          "tableView" : true,
          "label" : "Column"
        }, {
          "components" : [ ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "hideOnChildrenHidden" : false,
          "key" : "column",
          "tableView" : true,
          "label" : "Column"
        } ],
        "mask" : false,
        "tableView" : false,
        "alwaysEnabled" : false,
        "type" : "columns",
        "input" : false,
        "key" : "columns5",
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "reorder" : false,
        "properties" : { },
        "tags" : null,
        "customConditional" : "",
        "logic" : [ ]
      } ],
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : [ ],
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : "HTML",
      "className" : "",
      "attrs" : [ {
        "attr" : "",
        "value" : ""
      } ],
      "content" : "<br/>\n<h4>Benutzer</h4>",
      "refreshOnChange" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "htmlelement",
      "input" : false,
      "key" : "html2",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : " ",
      "hideLabel" : true,
      "multiple" : true,
      "reorder" : false,
      "mask" : false,
      "tableView" : false,
      "alwaysEnabled" : false,
      "type" : "dualmultiselect",
      "input" : true,
      "key" : "user_ids",
      "defaultValue" : [ ],
      "validate" : {
        "required" : true,
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "data" : {
        "url" : "api/v1/scopes/{{context.scopeId}}/groups/workflow/members?roleIds=user",
        "values" : [ { } ]
      },
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : [ ],
      "customConditional" : "",
      "logic" : [ ],
      "template" : "{{ item.id }} ({{ item.email }})",
      "projection" : "id"
    } ],
    "tabs" : null,
    "properties" : { },
    "tags" : [ ],
    "encrypted" : false,
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  } ],
  "display" : "form",
  "configKey" : "tenant",
  "name" : "tenant"
}